/**
 * main module name
 */
export const MODULE_NAME = 'REACT NATIVE ANKIDROID';
/**
 * misc error text for logging
 */
export var ErrorText;
(function (ErrorText) {
    ErrorText["PERMISSIONS_CHECK"] = " - Error checking permissions:";
    ErrorText["PERMISSIONS_REQUEST"] = " - Error requesting permissions:";
    ErrorText["API"] = " - Error checking for API on phone:";
    ErrorText["ARGUMENT_TYPE"] = " - Argument Type error:";
    ErrorText["PERMISSION_NAME"] = " - Failed to get permission name:";
    ErrorText["STRING_OR_NULL"] = "must be a string (or null)";
    ErrorText["STRING"] = "must be a string";
    ErrorText["ARRAY_OF_STRING"] = "must be an array of strings";
    ErrorText["ARRAY_OF_STRING_OR_NULL"] = "must be an array of strings or null";
    ErrorText["ARRAY_LENGTH_2"] = "must be an array with a length of 2";
    ErrorText["ARRAY_SAME_LENGTH"] = "model and value fields must be the same length";
    ErrorText["MODEL_FIELDS_DIFFERENT"] = "the saved model fields and model fields submitted with the note are different";
    ErrorText["NOTE_UNKNOWN"] = "Unknown type error while adding note";
    ErrorText["DECK_INFO_MISSING"] = "Must have either deck ID or deck properties";
    ErrorText["MODEL_INFO_MISSING"] = "Must have either model ID or deck properties";
})(ErrorText || (ErrorText = {}));
/**
 * errors that can be thrown
 */
export var Errors;
(function (Errors) {
    Errors["UNKNOWN_ERROR"] = "UNKNOWN_ERROR";
    Errors["TYPE_ERROR"] = "INPUT_TYPE_ERROR";
    Errors["OS_ERROR"] = "ANDROID_USE_ONLY";
    Errors["PERMISSION_ERROR"] = "PERMISSION_DENIED_BY_USER";
    Errors["FAILED_TO_CREATE_DECK"] = "FAILED_TO_CREATE_DECK";
    Errors["FAILED_TO_CREATE_MODEL"] = "FAILED_TO_CREATE_MODEL";
    Errors["FAILED_TO_ADD_NOTE"] = "FAILED_TO_ADD_NOTE";
    Errors["IDENTIFIER_MISSING"] = "IDENTIFIER_MISSING";
})(Errors || (Errors = {}));
/**
 * for getting argument names
 */
export var NoteKeys;
(function (NoteKeys) {
    NoteKeys["deckName"] = "deckName";
    NoteKeys["modelName"] = "modelName";
    NoteKeys["dbDeckReference"] = "dbDeckReference";
    NoteKeys["dbModelReference"] = "dbModelReference";
    NoteKeys["modelFields"] = "modelFields";
    NoteKeys["valueFields"] = "valueFields";
    NoteKeys["cardNames"] = "cardNames";
    NoteKeys["questionFormat"] = "questionFormat";
    NoteKeys["answerFormat"] = "answerFormat";
    NoteKeys["tags"] = "tags";
    NoteKeys["css"] = "css";
})(NoteKeys || (NoteKeys = {}));
//# sourceMappingURL=types.js.map