import { Rationale } from "react-native";
import { PermissionResults } from "./types";
/**
 * Check if android
 * - display error message if not android
 * @returns `true` if android
 */
export declare function androidCheck(): boolean;
/**
 * Get the AnkiDroid API permission name
 */
export declare function getPermissionName(): Promise<any>;
/**
 * Check if the AnkiDroid API is available on the phone
 * @return `true` if the API is available to use
 */
export declare function isApiAvailable(): Promise<boolean>;
/**
 * Check the permission status
 * @return `true` if permission have been granted
 */
export declare function checkPermission(): Promise<boolean>;
/**
 * Request AnkiDroid API permissions
 * @param rationale optional `PermissionsAndroid` message to show when requesting permissions
 * @param returns optional `PermissionsAndroid` message to show when requesting permissions
 */
export declare function requestPermission(rationale?: Rationale): Promise<PermissionResults | string>;
